Bug 843773 - regression to find header file
regression to find header file
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On: 842972
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 06:39 EDT by MERCIER Jonathan
Modified: 2012-10-23 15:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-23 15:34:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2012-07-27 06:39:58 EDT
To show this bug i taken a package who has already build successfully

http://koji.fedoraproject.org/koji/buildinfo?buildID=257461

taken src.rpm :


-------------
$ wget http://kojipkgs.fedoraproject.org//packages/ldc/2/4.20110801git58d40d2.fc16/src/ldc-2-4.20110801git58d40d2.fc16.src.rpm
-------------


and ask to koji a rebuild


------------

$ koji build --scratch f16 ldc-2-4.20110801git58d40d2.fc16.src.rpm
Uploading srpm: ldc-2-4.20110801git58d40d2.fc16.src.rpm
[====================================] 100% 00:00:20 1.78 MiB 89.86 KiB/sec
Created task: 4335654
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4335654
Watching tasks (this may be safely interrupted)...
4335654 build (f16, ldc-2-4.20110801git58d40d2.fc16.src.rpm): free
4335654 build (f16, ldc-2-4.20110801git58d40d2.fc16.src.rpm): free -> open (buildvm-18.phx2.fedoraproject.org)
4335655 buildArch (ldc-2-4.20110801git58d40d2.fc16.src.rpm, x86_64): free
4335656 buildArch (ldc-2-4.20110801git58d40d2.fc16.src.rpm, i686): open (buildvm-04.phx2.fedoraproject.org)
4335655 buildArch (ldc-2-4.20110801git58d40d2.fc16.src.rpm, x86_64): free -> open (x86-03.phx2.fedoraproject.org)
4335655 buildArch (ldc-2-4.20110801git58d40d2.fc16.src.rpm, x86_64): open (x86-03.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch x86_64), mock exited with status 1; see build.log for more information
0 free 2 open 0 done 1 failed
4335656 buildArch (ldc-2-4.20110801git58d40d2.fc16.src.rpm, i686): open (buildvm-04.phx2.fedoraproject.org) -> canceled
0 free 1 open 1 done 1 failed
4335654 build (f16, ldc-2-4.20110801git58d40d2.fc16.src.rpm): open (buildvm-18.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch x86_64), mock exited with status 1; see build.log for more information
0 free 0 open 1 done 2 failed
 
4335654 build (f16, ldc-2-4.20110801git58d40d2.fc16.src.rpm) failed
-------------


The fist build use 4.6.1-7.fc16 and second use 4.6.3-2.fc16
In second case gcc do not found automatically header to include
Comment 1 Jakub Jelinek 2012-08-10 03:09:22 EDT
The build logs are gone by now.  Are you sure you have read http://gcc.gnu.org/gcc-4.7/porting_to.html ?

Note You need to log in before you can comment on or make changes to this bug.